Important: Please read the Qt Code of Conduct - https://forum.qt.io/topic/113070/qt-code-of-conduct

Raspberry Pi - QtMultimedia : defaultServiceProvider::requestService(): no service found for - "org.qt-project.qt.mediaplayer



  • Hello everyone, my problem is the following : I'm developing a multimedia application with Qt (5.5) for raspberry PI in a cross compiled environment . I get following error when i run the application on Pi

    defaultServiceProvider::requestService(): no service found for - "org.qt-project.qt.mediapl
    ayer"

    I installed -

    sudo apt-get install gstreamer-1.0
    sudo apt-get install gstreamer1.0-tools

    Is there any library i'm missing here? Is there any way to find what is missing here

    ldd returns:

    linux-vdso.so.1 (0x7ecf4000)
    /usr/lib/arm-linux-gnueabihf/libarmmem.so (0x76f5b000)
    libQt5PrintSupport.so.5 => /usr/local/qt5/lib/libQt5PrintSupport.so.5 (0x76efc000)
    libQt5MultimediaWidgets.so.5 => /usr/local/qt5/lib/libQt5MultimediaWidgets.so.5 (0x76ed900
    0)
    libQt5Widgets.so.5 => /usr/local/qt5/lib/libQt5Widgets.so.5 (0x769c7000)
    libQt5Multimedia.so.5 => /usr/local/qt5/lib/libQt5Multimedia.so.5 (0x76910000)
    libQt5Gui.so.5 => /usr/local/qt5/lib/libQt5Gui.so.5 (0x764af000)
    libQt5SerialPort.so.5 => /usr/local/qt5/lib/libQt5SerialPort.so.5 (0x7648a000)
    libQt5Sql.so.5 => /usr/local/qt5/lib/libQt5Sql.so.5 (0x7639f000)
    libQt5Concurrent.so.5 => /usr/local/qt5/lib/libQt5Concurrent.so.5 (0x7638b000)
    libQt5Xml.so.5 => /usr/local/qt5/lib/libQt5Xml.so.5 (0x7634b000)
    libQt5Network.so.5 => /usr/local/qt5/lib/libQt5Network.so.5 (0x76255000)
    libQt5DBus.so.5 => /usr/local/qt5/lib/libQt5DBus.so.5 (0x761d9000)
    libQt5Core.so.5 => /usr/local/qt5/lib/libQt5Core.so.5 (0x75cdf000)
    libGLESv2.so => /opt/vc/lib/libGLESv2.so (0x75ca0000)
    libpthread.so.0 => /lib/arm-linux-gnueabihf/libpthread.so.0 (0x75c77000)
    libstdc++.so.6 => /usr/lib/arm-linux-gnueabihf/libstdc++.so.6 (0x75b2f000)
    libm.so.6 => /lib/arm-linux-gnueabihf/libm.so.6 (0x75ab0000)
    libgcc_s.so.1 => /lib/arm-linux-gnueabihf/libgcc_s.so.1 (0x75a83000)
    libc.so.6 => /lib/arm-linux-gnueabihf/libc.so.6 (0x75944000)
    libQt5OpenGL.so.5 => /usr/local/qt5/lib/libQt5OpenGL.so.5 (0x758f2000)
    libpng12.so.0 => /lib/arm-linux-gnueabihf/libpng12.so.0 (0x758c3000)
    libz.so.1 => /lib/arm-linux-gnueabihf/libz.so.1 (0x7589a000)
    librt.so.1 => /lib/arm-linux-gnueabihf/librt.so.1 (0x75883000)
    libdl.so.2 => /lib/arm-linux-gnueabihf/libdl.so.2 (0x75870000)
    /lib/ld-linux-armhf.so.3 (0x54b1e000)
    libEGL.so => /opt/vc/lib/libEGL.so (0x75837000)
    libbcm_host.so => /opt/vc/lib/libbcm_host.so (0x75810000)
    libvchiq_arm.so => /opt/vc/lib/libvchiq_arm.so (0x757fa000)
    libvcos.so => /opt/vc/lib/libvcos.so (0x757e0000)


  • Moderators

    Qt 5.5 uses GStreamer 0.1 by default. To enable 1.0 support, you need to compile Qt yourself (see https://doc.qt.io/archives/qt-5.10/whatsnew55.html#qt-multimedia-module). Or upgrade to some newer release (newest is Qt 5.11) where it is the default.


Log in to reply